Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.scheme
Class LiveScheme

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.scheme.SchemeAgent
                  madkit.scheme.LiveScheme

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class LiveScheme

extends SchemeAgent

A simple agent that extends the SchemeAgent to launch a interactive read-eval-print loop

Author:
  Ol. Gutknehct
See Also:
  Serialized Form

Field Summary

Fields inherited from class madkit.scheme.SchemeAgent
`env, envcount, err_p, interp, out_p`

Constructor Summary
`LiveScheme()`

Method Summary
`void` | `activate()` Loads the Scheme agent code, then evaluates the activate function, if bounded
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`void` | `live()` Evaluates the live function, if bounded

Methods inherited from class madkit.scheme.SchemeAgent
`doLaunchAgent, end, InternalDebug, makeLaunchAgent, print, println, println, schemeGetAgentsWithRole, schemeGetAgentsWithRole, schemeGetAvailableCommunities, schemeGetExistingGroups, schemeGetExistingGroups, schemeGetExistingRoles, schemeGetExistingRoles, schemeGetMyGroups, schemeGetMyGroups, schemeGetMyRoles, schemeGetMyRoles, schemeGetRoles, schemeGetRoles`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiveScheme

    public LiveScheme()

Method Detail

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developer should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developer does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `SchemeAgent`

### activate

    public void activate()

  Description copied from class: `SchemeAgent`
  Loads the Scheme agent code, then evaluates the activate function, if bounded

  Overrides:
    `activate` in class `SchemeAgent`

### live

    public void live()

  Description copied from class: `SchemeAgent`
  Evaluates the live function, if bounded

  Overrides:
    `live` in class `SchemeAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.